var icms = icms || {};

icms.ratinglike = (function ($) {


    this.onDocumentReady = function(){

        $('.ratinglike').each(function(){
           icms.ratinglike.submit($(this));
        }); 

    };



    this.submit = function(widget){

        var item_id = widget.data('id');
        var type_id = widget.data('type-id');


        $('.heart', widget).click(function(){
            
            $('.heart i', widget).removeClass('fa-heart');
            $('.heart i', widget).addClass('fa-spinner fa-spin');
            
            
            $.post('/ratinglike/submit', {
                    type_id: type_id,
                    item_id: item_id
                }, function(result){
                    var rating = parseInt($('.rating', widget).html());

                    if(result.like) {
                        $('.rating', widget).fadeOut(0).html(rating+1).fadeIn();
                        $('.heart', widget).addClass('is_vote');
                    }
                    if(result.unlike) {
                        $('.rating', widget).fadeOut(0).html(rating-1).fadeIn();
                        $('.heart', widget).removeClass('is_vote');
                    }

                    if(result.error) {
                        icms.modal.alert(result.message);
                    }
                    
                    $('.heart i', widget).addClass('fa-heart');
                    $('.heart i', widget).removeClass('fa-spinner fa-spin');


            }, "json");
        
        });
        
        
        $('.showvoted', widget).click(function(){
            var url = widget.data('voted');
            icms.modal.openAjax(url, {
               type_id: type_id,
               item_id: item_id
            });
        });


    };
    
    this.bingInfoPages = function(){

        var widget = $('.voted_pagination');

        var item_id = widget.data('item-id');
        var type_id = widget.data('type-id');
        var url = widget.data('url');

        $('a', widget).click(function(){

            var link = $(this);
            var page = link.data('page');
            var list = $('#voted_window:visible .voted_list');

            $('a', widget).removeClass('active');
            link.addClass('active');

            list.addClass('loading-panel');

            $.post(url, {
                type_id: type_id,
                item_id: item_id,
                page: page,
                is_list_only: true

            }, function(result){

                list.html(result).removeClass('loading-panel');

            }, "html");

            return false;

        });

    };

    return this;

}).call(icms.ratinglike || {},jQuery);
